Ubuntu

Comment 38 for bug 461864

NoOp (glgxg) wrote :

Working for me on lucid 32bit & 64bit as of this morning. I'll try on karmic & hardy later.

1. Maintained mozilla prefbar display
[http://prefbar.mozdev.org/]
2. Respects startup options such as '-no-remote -mail -browser'
3. Bookmarks are available from existing profile.
4. Passwords are available from existing profile.
5. Java, flash, and other existing profile settings working.

One issue that I found somewhat confusing; to install via Synaptic I used 'seamonkey'. However, to uninstall if 'seamonkey' is selected you need to uninstall each individual package (mailnews, etc). I did find that if I select 'seamonkey-browser' for uninstall it then selects all the appropriate bits (seamonkey, seamonkey-chatzilla, seamonkey-mailnews, seamonkey-browser). For consistency, one should be able to uninstall the same way that they installed. And from the cli:

$ sudo apt-get install -s seamonkey
Reading package lists... Done
Building dependency tree
Reading state information... Done
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  seamonkey-browser seamonkey-chatzilla seamonkey-mailnews
Suggested packages:
  libkrb53 seamonkey-dom-inspector
The following NEW packages will be installed:
  seamonkey seamonkey-browser seamonkey-chatzilla seamonkey-mailnews
0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Inst seamonkey-browser (2.0.4+nobinonly-0ubuntu1 Ubuntu:10.04/lucid)
Inst seamonkey-mailnews (2.0.4+nobinonly-0ubuntu1 Ubuntu:10.04/lucid)
Inst seamonkey (2.0.4+nobinonly-0ubuntu1 Ubuntu:10.04/lucid)
Inst seamonkey-chatzilla (2.0.4+nobinonly-0ubuntu1 Ubuntu:10.04/lucid)
Conf seamonkey-browser (2.0.4+nobinonly-0ubuntu1 Ubuntu:10.04/lucid)
Conf seamonkey-mailnews (2.0.4+nobinonly-0ubuntu1 Ubuntu:10.04/lucid)
Conf seamonkey (2.0.4+nobinonly-0ubuntu1 Ubuntu:10.04/lucid)
Conf seamonkey-chatzilla (2.0.4+nobinonly-0ubuntu1 Ubuntu:10.04/lucid)

$ sudo apt-get remove -s seamonkey
[sudo] password for lucid:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  seamonkey-chatzilla seamonkey-mailnews
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  seamonkey
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
Remv seamonkey [2.0.4+nobinonly-0ubuntu1]